# Contributing Guidelines

Thank you for considering contributing to HarmonyLinkServer! We welcome your contributions and appreciate the effort to make this project better. To maintain a collaborative and inclusive environment, please follow these guidelines when contributing:

## Opening Issues
If you encounter any bugs, have feature requests, or want to report an issue, please ensure that it hasn't already been reported by searching through the existing issues. If not, feel free to open a new issue, providing as much detail as possible. Include steps to reproduce the issue, expected behavior, and any relevant error messages.

## Pull Requests
We gladly accept pull requests! Before submitting a pull request, please follow these steps:

1. Fork the repository and create a new branch for your feature or bug fix.
2. Make your changes, ensuring that your code adheres to the project's coding conventions.
3. Write clear and concise commit messages, providing a brief description of the changes made.
4. Test your changes thoroughly to ensure they work as expected.
5. Ensure that your branch is up to date with the latest changes from the main repository.
6. Submit the pull request, providing a detailed description of the changes made and their purpose.

## Coding Standards
When contributing code, please adhere to the following coding standards:

- Follow the existing code style and formatting used in the project.
- Write clear, concise, and meaningful comments to improve code readability.
- Ensure that your code is well-documented, especially for any new or complex functionality added.
- Run the necessary tests and ensure they pass successfully before submitting any changes.

## Code of Conduct
We expect all contributors to follow our [Code of Conduct](CODE_OF_CONDUCT.md) in all interactions, both within the project and in the wider community.

## Getting Help
If you need any assistance, have questions, or need clarification, feel free to reach out by opening an issue or discussion.

We appreciate your contributions and look forward to working with you to improve HarmonyLinkServer!
